
#pragma once

namespace lpp
{
	struct LppSynchronizedAgent;
}


namespace MainLoop
{
	void Init(const char* windowTitle);
	void Exit(void);

	void Announce(lpp::LppSynchronizedAgent& agent, const char* const pathToReadmeFile);
	bool PollInput(lpp::LppSynchronizedAgent& agent);

	void Update(void);
	void Render(void);
	void RenderPlugin(void* plugin);
	void Present(void);
}
